<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="082147ba-dd69-4641-92ca-a201bc7047f8" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/app/Http/Controllers/Admin.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/app/Models/Users.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/resources/views/admin/content.blade.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/resources/views/admin/home.blade.php" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/resources/views/admin/login.blade.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/database/migrations/2020_01_22_024642_create_answer_table.php" beforeDir="false" afterPath="$PROJECT_DIR$/database/migrations/2020_01_22_024642_create_answer_table.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/web.php" beforeDir="false" afterPath="$PROJECT_DIR$/routes/web.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
    <execution>
      <executable />
    </execution>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Admin.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="211">
              <caret line="72" column="90" selection-start-line="72" selection-start-column="87" selection-end-line="72" selection-end-column="90" />
              <folding>
                <element signature="e#40#61#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/resources/views/admin/content.blade.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="54" column="8" selection-start-line="54" selection-start-column="8" selection-end-line="54" selection-end-column="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/routes/web.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="177">
              <caret line="35" column="6" selection-start-line="35" selection-start-column="6" selection-end-line="35" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Models/Users.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="144">
              <caret line="8" column="25" selection-start-line="8" selection-start-column="25" selection-end-line="8" selection-end-column="25" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>lara</find>
      <find>lo</find>
      <find>icon-glass</find>
      <find>logout-form</find>
      <find>Dashboard</find>
      <find>fa-tachometer-alt</find>
      <find>fa-angle-down</find>
      <find>tachometer</find>
      <find>pages</find>
      <find>data-icon</find>
      <find>table</find>
      <find>ba</find>
      <find>back</find>
      <find>show</find>
      <find>answer[</find>
      <find>Check_Txt</find>
      <find>Check_Time</find>
      <find>已提交過</find>
      <find>測驗結束</find>
      <find>register</find>
      <find>&lt;table&gt;</find>
    </findStrings>
    <replaceStrings>
      <replace />
      <replace>&lt;table class=&quot;gridtable&quot;&gt;</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/resources/views/auth/login.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/HomeController.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/layoutSidenavContent.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/footer.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/index.blade.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_21_070919_create_test_tabel.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_21_071223_create_test_table.php" />
        <option value="$PROJECT_DIR$/app/Models/Test.php" />
        <option value="$PROJECT_DIR$/app/Models/QuestionOption.php" />
        <option value="$PROJECT_DIR$/app/Models/question.php" />
        <option value="$PROJECT_DIR$/app/Helpers/TestHelpers.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/finish.blade.php" />
        <option value="$PROJECT_DIR$/app/Models/UesrTest.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/head.blade.php" />
        <option value="$PROJECT_DIR$/app/Models/Answer.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_22_024917_create_user_test_table.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/index.blade.php" />
        <option value="$PROJECT_DIR$/routes/api.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/nav.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/notice.blade.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_21_071229_create_question_table.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_21_071233_create_question_option_table.php" />
        <option value="$PROJECT_DIR$/config/test.php" />
        <option value="$PROJECT_DIR$/app/Providers/ViewComposerServiceProvider.php" />
        <option value="$PROJECT_DIR$/app/Providers/AppServiceProvider.php" />
        <option value="$PROJECT_DIR$/app/ViewComposers/BackendLayout.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/layouts/layoutSidenavNav.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/test.blade.php" />
        <option value="$PROJECT_DIR$/config/systemNotice.php" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/config/app.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Home.php" />
        <option value="$PROJECT_DIR$/resources/views/layouts/app.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/backend/doTest.blade.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_01_22_024642_create_answer_table.php" />
        <option value="$PROJECT_DIR$/app/Models/UserTest.php" />
        <option value="$PROJECT_DIR$/app/Models/Users.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/login.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/home.blade.php" />
        <option value="$PROJECT_DIR$/routes/web.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Admin.php" />
        <option value="$PROJECT_DIR$/resources/views/admin/content.blade.php" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-color" />
      <path value="$PROJECT_DIR$/vendor/jakub-onderka/php-console-highlighter" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/beyondcode/laravel-dump-server" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/debug" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/erusev/parsedown" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-525" />
    <option name="y" value="-8" />
    <option name="width" value="1582" />
    <option name="height" value="702" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Providers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="ViewComposers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="admin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="routes" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="storage" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="interview" type="b2602c69:ProjectViewProjectNode" />
              <item name="interview" type="462c0819:PsiDirectoryNode" />
              <item name="storage" type="462c0819:PsiDirectoryNode" />
              <item name="logs" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/resources/views/admin" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.gutterIcons" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\projects\interview\resources\views\admin" />
      <recent name="C:\projects\interview\app\Models" />
      <recent name="C:\projects\interview\app\Http\Controllers" />
      <recent name="C:\projects\interview\app\ViewComposers" />
      <recent name="C:\projects\interview\config" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="082147ba-dd69-4641-92ca-a201bc7047f8" name="Default Changelist" comment="" />
      <created>1579576316431</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1579576316431</updated>
      <workItem from="1579576317621" duration="35737000" />
      <workItem from="1579681400292" duration="599000" />
      <workItem from="1580345394645" duration="23281000" />
      <workItem from="1580972814739" duration="5109000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="64726000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25799572" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.329718" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.329718" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="11" visible="true" weight="0.40238613" />
      <window_info anchor="bottom" id="Messages" order="12" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/storage/framework/views/af8dc8815ba727f8dd30fe19adacc3c671aff00b.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="8" column="73" selection-start-line="8" selection-start-column="73" selection-end-line="8" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/layoutSidenavContent.blade.php" />
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/footer.blade.php" />
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_070919_create_test_tabel.php" />
    <entry file="file://$PROJECT_DIR$/config/session.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="4" column="8" lean-forward="true" selection-start-line="4" selection-start-column="8" selection-end-line="4" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_071119_create_question_option_tabel.php" />
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_071113_create_question_tabel.php" />
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_071223_create_test_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="19" column="27" selection-start-line="19" selection-start-column="27" selection-end-line="19" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Desktop/startbootstrap-sb-admin-gh-pages/dist/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="83" column="60" selection-start-line="83" selection-start-column="55" selection-end-line="83" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Desktop/startbootstrap-sb-admin-gh-pages/dist/tables.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="106" column="24" selection-start-line="106" selection-start-column="24" selection-end-line="592" selection-end-column="30" />
          <folding>
            <element signature="n#table#0;n#div#0;n#div#1;n#div#1;n#div#0;n#main#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/finish.blade.php" />
    <entry file="file://$PROJECT_DIR$/app/Models/Test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="162">
          <caret line="9" column="1" lean-forward="true" selection-start-line="9" selection-start-column="1" selection-end-line="9" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/QuestionOption.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" column="20" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/question.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" column="71" selection-start-line="12" selection-start-column="71" selection-end-line="12" selection-end-column="71" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Helpers/TestHelpers.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="5" column="13" lean-forward="true" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2014_10_12_000000_create_users_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="6" column="6" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Answer.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="14" column="19" selection-start-line="14" selection-start-column="19" selection-end-line="14" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="9" column="6" selection-start-line="9" selection-start-column="6" selection-end-line="9" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/api.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="17" column="3" lean-forward="true" selection-start-line="17" selection-start-column="3" selection-end-line="17" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/nav.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="28" selection-start-line="8" selection-start-column="20" selection-end-line="8" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="10" column="16" selection-start-line="10" selection-start-column="16" selection-end-line="10" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/head.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="7" column="46" selection-start-line="7" selection-start-column="46" selection-end-line="7" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/notice.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" column="11" lean-forward="true" selection-start-line="6" selection-start-column="11" selection-end-line="6" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_071233_create_question_option_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="7" selection-start-line="12" selection-start-column="7" selection-end-line="12" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/test.php" />
    <entry file="file://$PROJECT_DIR$/app/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="17" selection-start-line="17" selection-end-line="19" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Providers/ViewComposerServiceProvider.php" />
    <entry file="file://$PROJECT_DIR$/resources/views/backend/layouts/layoutSidenavNav.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="23" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_22_024917_create_user_test_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="26" column="30" selection-start-line="26" selection-start-column="30" selection-end-line="26" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/ViewComposers/BackendLayout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" column="39" lean-forward="true" selection-start-line="12" selection-start-column="39" selection-end-line="12" selection-end-column="39" />
          <folding>
            <element signature="e#43#63#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/test.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="342">
          <caret line="19" column="25" selection-start-line="19" selection-start-column="25" selection-end-line="19" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Providers/AppServiceProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="342">
          <caret line="20" column="45" selection-start-line="20" selection-start-column="45" selection-end-line="20" selection-end-column="45" />
          <folding>
            <element signature="e#33#69#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_21_071229_create_question_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="20" column="40" selection-start-line="20" selection-start-column="40" selection-end-line="20" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/storage/logs/laravel-2020-01-31.log">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="108">
          <caret line="6" column="35" lean-forward="true" selection-start-line="6" selection-start-column="35" selection-end-line="6" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Home.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="452">
          <caret line="212" selection-start-line="212" selection-end-line="212" />
          <folding>
            <element signature="e#40#62#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/layouts/app.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="48" column="42" selection-start-line="48" selection-start-column="42" selection-end-line="48" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/auth/register.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="10" column="66" selection-start-line="10" selection-start-column="58" selection-end-line="10" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/systemNotice.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="24" selection-start-line="8" selection-start-column="24" selection-end-line="8" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_01_22_024642_create_answer_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="19" column="25" lean-forward="true" selection-start-line="19" selection-start-column="25" selection-end-line="19" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="18" column="19" lean-forward="true" selection-start-line="18" selection-start-column="19" selection-end-line="18" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="69" column="30" selection-start-line="69" selection-start-column="30" selection-end-line="69" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Auth/RegisterController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="10" column="6" selection-start-line="10" selection-start-column="6" selection-end-line="10" selection-end-column="14" />
          <folding>
            <element signature="e#45#58#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/backend/doTest.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/UserTest.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="7" column="1" lean-forward="true" selection-start-line="7" selection-start-column="1" selection-end-line="7" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/login.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="29" selection-start-column="29" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/home.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="1" column="39" lean-forward="true" selection-start-line="1" selection-start-column="39" selection-end-line="1" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="35" column="6" selection-start-line="35" selection-start-column="6" selection-end-line="35" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Models/Users.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="8" column="25" selection-start-line="8" selection-start-column="25" selection-end-line="8" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="72" column="90" selection-start-line="72" selection-start-column="87" selection-end-line="72" selection-end-column="90" />
          <folding>
            <element signature="e#40#61#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/admin/content.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="54" column="8" selection-start-line="54" selection-start-column="8" selection-end-line="54" selection-end-column="8" />
        </state>
      </provider>
    </entry>
  </component>
</project>